language: cn
model_unique_abbr: cat-tool
version: 1.0

identification:
  docker_image_name: cat:1.1
  model_name: 波段拼接工具
  category_application: 通用基础型
  semantic: Tif Cat
  category_data:
    - 图像数据
  description: 按波段对图像数据进行拼接

parameter_info:
  parameters:
    - arg_name: ipd
      param_type: input_data
      visible: true
      name: 文件路径
      description: 输入tif所在的文件路径
      is_required: true
      data_type: tif
      data_semantic: pre_work

    - arg_name: b_img
      param_type: input_data
      visible: true
      name: 基准影像
      description: 以该影像为基准进行拼接
      is_required: true
      data_type: tif
      data_semantic: baseimge


    - arg_name: op
      param_type: output_data
      visible: true
      name: 输出路径
      description: 输出融合后的tif图像
      data_type: tif
      data_semantic: rfwork


application:
  domain: 图像处理
  objective: 对tif图像按波段进行拼接

operation:
  usage: 将需要拼接的tif文件放在统一文件夹内，指定输入文件夹路径、基准影像路径和输出tif的路径进行计算
  exec_example:
    - "docker run -v $(pwd):/data/origin_data cat:1.0 -ipd /data/origin_data -b_img /data/origin_data/nb_saga_test.tif -op /data/out.tif"
  output_display:
    - 得到带有拼接后的tif图像


technique:
  language:
  - python
  os:
  - Windows
  - Linux
  hardware:
  - CPU
  dependencies:
    - name: gdal
      version: 4.0

source:
  maintainer: Han Li
  organization: Beijing University of Civil Engineering and Architecture
  contact: 2108160224011@stu.bucea.edu.cn


